﻿*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html, body {
  background-color: #F6F6F6;
  font-family: "Montserrat", sans-serif;
  font-size: 13px;
}

body {
  box-sizing: border-box;
}

@media print {
  .col-print-1 {
    width: 8%;
    float: left;
  }

  .col-print-2 {
    width: 16%;
    float: left;
  }

  .col-print-3 {
    width: 25%;
    float: left;
  }

  .col-print-4 {
    width: 33%;
    float: left;
  }

  .col-print-5 {
    width: 42%;
    float: left;
  }

  .col-print-6 {
    width: 50%;
    float: left;
  }

  .col-print-7 {
    width: 58%;
    float: left;
  }

  .col-print-8 {
    width: 66%;
    float: left;
  }

  .col-print-9 {
    width: 75%;
    float: left;
  }

  .col-print-10 {
    width: 83%;
    float: left;
  }

  .col-print-11 {
    width: 92%;
    float: left;
  }

  .col-print-12 {
    width: 100%;
    float: left;
  }

  .report-content {
    padding-top: 50px;
  }

  html, body {
    background-color: white;
  }
}
nav {
  background-color: #ffffff;
}
nav.navbar {
  min-height: 60px;
  padding-top: 4px;
  margin-bottom: 10px;
}
nav .nav-link {
  font-weight: bold;
  font-size: 14px;
  padding: 5px 5px;
}
nav a {
  color: #4d4d4d;
}
nav a:hover, nav a:visited {
  color: inherit;
  text-decoration: none;
}
nav .menu-items {
  color: #4d4d4d;
  height: 40px;
  background-color: #fff;
  border-radius: 5px;
  padding: 10px;
}
nav .menu-items:hover {
  background-color: #efefef;
}
nav .menu-items-selected {
  background-color: #efefef;
}
nav #login-link {
  padding: 10px;
  margin-left: auto;
}

/* Small devices (landscape phones, 576px and up) */
/* Medium devices (tablets, 768px and up) The navbar toggle appears at this breakpoint */
@media (min-width: 768px) {
  .navbar-nav {
    margin-left: 8%;
  }
}
/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .navbar-nav {
    margin-left: 13%;
  }
}
/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
  .navbar-nav {
    margin-left: 15%;
  }
}
.btn-primary {
  color: #ffffff;
  background-color: #8092AC;
  border-color: #8092AC;
}
.btn-primary:hover {
  color: #ffffff;
  background-color: #153766;
  border-color: #153766;
}
.btn-primary:focus, .btn-primary.focus {
  box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}
.btn-primary.disabled, .btn-primary:disabled {
  color: #ffffff;
  background-color: #007bff;
  border-color: #007bff;
}

.btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active,
.show > .btn-primary.dropdown-toggle {
  color: #fff;
  background-color: #153766;
  border-color: #153766;
}

.btn-primary:not(:disabled):not(.disabled):active:focus, .btn-primary:not(:disabled):not(.disabled).active:focus,
.show > .btn-primary.dropdown-toggle:focus {
  box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}

.btn-default {
  color: #ffffff;
  background-color: #b3b3b3;
  border-color: #b3b3b3;
}
.btn-default:hover {
  color: #ffffff;
  background-color: #4d4d4d;
  border-color: #4d4d4d;
}

.color-custom-primary {
  color: #777 !important;
}

.form-control.checkbox {
  width: 3rem;
  transform: translateX(-3px);
}

ul {
  list-style: none;
}

.table {
  background-color: white;
  /*Nazev polozky odkaz*/
}
.table .table-item-name {
  color: #777;
  font-size: 16px;
  font-weight: bold;
}
.table .table-item-name:hover, .table .table-item-name:visited {
  color: #777;
}
.table td:nth-child(2) {
  position: relative;
}
.table td:nth-child(2) .remove-item-btn {
  position: absolute;
  right: 0;
  top: 50%;
  transform: translate(-50%, -50%);
}
.table .subtitle {
  font-size: 90%;
  padding: 0.25em 0.4em 0.25em 0;
  display: inline-block;
  font-weight: 700;
  line-height: 1;
  color: #3390FF;
}
.table .no-right-padding {
  padding-right: 0;
}
.table i {
  font-size: 1.25rem;
  color: #777;
}
.table i:hover {
  color: #000000;
}
.table .badge.info-text {
  line-height: 1.3;
  font-size: 0.8rem;
  font-weight: 400;
  color: #4d4d4d;
  white-space: normal;
  word-break: break-word;
}

.clickable-row {
  cursor: pointer;
}

h2 {
  padding: 0;
  margin: 0;
  color: #777;
  font-size: 18px;
  font-weight: 600;
  line-height: 20px;
}

h3 {
  padding: 0;
  margin: 0;
  color: #777;
  font-size: 16px;
  font-weight: 600;
  line-height: 20px;
  margin-bottom: 1rem;
}

.color-box {
  height: 1.5rem;
  width: 1.5rem;
  margin-right: 1rem;
}

.cursor-pointer {
  cursor: pointer;
}

/*#region Search box */
.has-search .form-control-feedback {
  position: absolute;
  z-index: 2;
  display: block;
  width: 2.375rem;
  height: 2.375rem;
  line-height: 2.375rem;
  text-align: center;
  pointer-events: none;
  color: #777;
}

.searchbox {
  font-weight: normal;
  font-size: 13px;
  color: #777;
  height: 33px;
  padding: 8px 10px 10px 35px;
  border: 1px solid #fafafa;
  border-radius: 20px;
  -webkit-transition: border-color ease-in-out 0.15s;
  -o-transition: border-color ease-in-out 0.15s;
  transition: border-color ease-in-out 0.15s;
}
.searchbox:focus {
  color: #9A9A9A;
  outline: 0;
  border: 1px solid #9A9A9A;
  font-weight: bold;
}

/*#endregion Search box */
.new-item-wrapper {
  background: #FFFFFF;
  border-radius: 5px;
  padding: 15px 15px;
}

#table-wrapper .table-hover td {
  padding-right: 15px;
  padding-left: 15px;
}

.icon-plus {
  padding-right: 0.375rem;
}

/*formular*/
.editor-content {
  padding: 1.5rem;
  background-color: white;
  border-radius: 5px;
}
.editor-content h2 {
  margin-bottom: 1.5rem;
}
.editor-content label {
  font-weight: 600;
}
.editor-content input,
.editor-content select {
  background-color: #fafafa;
}
.editor-content input:active, .editor-content input:focus,
.editor-content select:active,
.editor-content select:focus {
  background-color: #fafafa;
}
.editor-content.audit-container {
  line-height: 1.5;
}
.editor-content.audit-container .header {
  font-weight: 600;
  font-size: 16px;
}

.field-validation-error {
  color: #dc3545;
}

input[data-val-required],
select[data-val-required] {
  border-left: 3px solid #cc6600 !important;
}

.cut-text {
  text-overflow: ellipsis;
  overflow: hidden;
  width: 160px;
  height: 1.2em;
  white-space: nowrap;
}

.audit-container .header {
  color: #777;
}

.action-btn .btn {
  padding: 0.375rem 1.5rem !important;
}

.send-email-confirm {
  text-align: center;
}

.report-dashboard .report-filter {
  background-color: white;
  border-radius: 5px;
  padding-top: 10px;
  padding-bottom: 10px;
  padding: 10px 1.5rem 10px 1.5rem;
  margin-bottom: 10px;
}
.report-dashboard .report-filter h2 {
  margin-bottom: 10px;
}
.report-dashboard .report-filter .filter-button {
  display: flex;
  justify-content: center;
  margin-bottom: 10px;
}
.report-dashboard .report-filter .filter-button-item {
  font-size: 1.5rem;
  color: white;
  border-radius: 5px;
  padding: 0.25rem 2.25rem;
  border: 1px solid #4d4d4d;
  background-color: #777;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  cursor: pointer;
}
.report-dashboard .report-filter .filter-button-item:hover {
  cursor: pointer;
  background-color: #4d4d4d;
}
.report-dashboard .report-day {
  padding: 10px 1.5rem 10px 1.5rem;
}
.report-dashboard .report-day .report-date {
  font-weight: bold;
  font-size: 16px;
  max-width: 400px;
}
.report-dashboard .report-day .day-contracts .contract-day .contract-subtitle {
  font-style: italic;
}
